Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security.permission
Class PermissionManager

    java.lang.Object
      org.jboss.seam.security.permission.PermissionManager

All Implemented Interfaces:
  Serializable

    @Scope(value=APPLICATION)
    @Name(value="org.jboss.seam.security.permissionManager")
    @Install(precedence=0)
    public class PermissionManager

extends Object
implements Serializable

Permission management component, used to grant or revoke permissions on specific objects or of specific permission types to particular users or roles.

Author:
  Shane Bryzak
See Also:
  Serialized Form

Field Summary
`static String` | `PERMISSION_GRANT`
`static String` | `PERMISSION_PERMISSION_NAME`
`static String` | `PERMISSION_READ`
`static String` | `PERMISSION_REVOKE`
`static String` | `PERMISSION_STORE_COMPONENT_NAME`

Constructor Summary
`PermissionManager()`

Method Summary
`void` | `clearPermissions(Object target)`
`void` | `create()`
`PermissionStore` | `getPermissionStore()`
`boolean` | `grantPermission(Permission permission)`
`boolean` | `grantPermissions(List<Permission> permissions)`
`static PermissionManager` | `instance()`
`List<String>` | `listAvailableActions(Object target)`
`List<Permission>` | `listPermissions(Object target)`
`List<Permission>` | `listPermissions(Object target, String action)`
`boolean` | `revokePermission(Permission permission)`
`boolean` | `revokePermissions(List<Permission> permissions)`
`void` | `setPermissionStore(PermissionStore permissionStore)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERMISSION_STORE_COMPONENT_NAME

    public static final String PERMISSION_STORE_COMPONENT_NAME

See Also:
  Constant Field Values

### PERMISSION_PERMISSION_NAME

    public static final String PERMISSION_PERMISSION_NAME

See Also:
  Constant Field Values

### PERMISSION_READ

    public static final String PERMISSION_READ

See Also:
  Constant Field Values

### PERMISSION_GRANT

    public static final String PERMISSION_GRANT

See Also:
  Constant Field Values

### PERMISSION_REVOKE

    public static final String PERMISSION_REVOKE

See Also:
  Constant Field Values

Constructor Detail

### PermissionManager

    public PermissionManager()

Method Detail

### create

    @Create
    public void create()

### instance

    public static PermissionManager instance()

### getPermissionStore

    public PermissionStore getPermissionStore()

### setPermissionStore

    public void setPermissionStore(PermissionStore permissionStore)

### listPermissions

    public List<Permission> listPermissions(Object target,
                                            String action)

### listPermissions

    public List<Permission> listPermissions(Object target)

### grantPermission

    public boolean grantPermission(Permission permission)

### grantPermissions

    public boolean grantPermissions(List<Permission> permissions)

### revokePermission

    public boolean revokePermission(Permission permission)

### revokePermissions

    public boolean revokePermissions(List<Permission> permissions)

### listAvailableActions

    public List<String> listAvailableActions(Object target)

### clearPermissions

    public void clearPermissions(Object target)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.